[Stable update] 05-09-2019 – Chapter, the Table 19.1.5, XFCE, 4.14, KDE, Nvidia-435xx, Please

Hi group,

I’m happy to announce every other replace to the steady . Maximum necessary, we have now updates from Manjaro 18.1-rc10 , Nvidia and KDE

Replace information

This replace incorporates the next adjustments:

  • The Manjaro 18.1-rc10 has been launched. The check and ship us comments.
  • Nearly all of our Bankruptcy has been up-to-the-minute. Please notice that the linux50-rt has been thrown out, and the sequence of the RT-Kernel in 5.2 is added
  • The drivers from Nvidia had been prolonged to the sequence of the 418xx, 430xx and 435xx
  • The desk is now in 19.1.5
  • The OnlyOffice has been added via the group. To find out extra right here
  • Palemoon is now within the 28.7.0
  • Updates the bundle to the KDE-dev bundle to mirror the newest adjustments to the supply code within the Dev-Workforce.
  • Within the KDE Framework, it was once launched in model 5.61
  • The primary free up of the KDE Apps, 19.08 sequence
  • Patches on our the equipment , and Calamari
  • cdemu is now 3.2.3
  • The updates for the drivers, Vulkan , and AMD Vulkan
  • Thunderbird is now at quantity 68 . Please learn the difficulty taking pictures information for issues you can be having together with your extensions, in the most well liked
  • Applications in “XFCE”) have now not been renovated. We’ve got additionally added a couple of packets of a meta-transition, which is in a position to do away with our gtk3-builds.
  • And LibreOffice is now at 6.3.0 and 6.2.6
  • Nvidia is now within the 435,17. For directions on obtain to the GPU, seek advice from right here .
  • Haskell and Firefox had been up to date to their newest releases
  • Your browser won a brand new bundle from the spell verify
  • Updates to the certbot , and all of our shoppers for Steam
  • Systemd has controlled to make some fixes to the dbus
  • The updates to the upstream as same old, together with python and perl
  • The latest efforts of the KDE may also be checked by way of the OPEN-Dev, ISO, present , or supply) of the Vanilla ISO, the present
  • The Iso of Manjaro Juhraya had been up to date, together with reinforce for flatpak , and snap on , pre-activated. The Place of business may also be arrange all the way through the set up, the between the and libreoffice-still – or freeoffice : XFCE , KDE , Gnome

Please ship us your feedback at the common, and let us know what you take into accounts this replace.


Kernels are lately supported

  • linux316 3.16.73
  • linux44 4.4.190 (with out the module-nvidia-340 the legacy!)
  • linux49 4.9.190
  • linux414 4.14.141
  • linux419 4.19.69
  • linux51 5.1.21 [EOL]
  • linux52 5.2.11 (no module for the catalyst!)
  • linux53 5.3-rc7 to (or the entire modules had been constructed, but!)
  • linux419 rt: 4: 19; cf.50_rt22
  • linux52-rt 5.2.10_rt5-1

Package deal updates : (Tuesday, September third, 01:21:53 CEST 2019)

  • locally, steady x86-64: 1720 bundle (s) new (s), and in 1737 the bundle (s) got rid of (s)
  • core-stable, x86-64: 56 bundle (s) new (s) 59 bundle (s) got rid of (s)
  • extra-stable, x86-64: 1149 package deal (s) new (s), 1168 bundle (s) got rid of (s)
  • multibib, steady x86-64: 42 bundle (s) new (s) and to 39 bundle (s) got rid of (s)

For a whole record of the entire adjustments to the bundle may also be discovered right here .

  • There is not any downside, the entirety did prove smartly
  • Sure, there’s a downside. I used to be ready to unravel it your self and publish your answer
  • Sure, I’m having an issue on account of the replace. Please, please publish about it)

The issues and answers are well known

The adjustments made to the Grub bootloader 2.04-6

Because of some insects within the patch for Fedora, in terms of BTRFS, we are now within the method of Ubuntu, as a way to cover the menu GRUB_TIMEOUT.

Those are the present alternatives for the manner of the time-limit

GRUB_TIMEOUT_STYLE=countdown
GRUB_TIMEOUT_STYLE="hidden
GRUB_TIMEOUT_STYLE=menu

It’s possible you’ll wish to double-check your configuration settings in /and so on/default/grub

We additionally come up with a brand spanking new bundle known as grub-pc-tea and occasional . You’ll be able to to find additional info right here .


The Thunderbird 68.0’ve grew to become off my extensions!

The Thunderbird is a 68 alternate in the best way the extensions paintings with the Firefox, 68. Which means incompatible extensions are disabled.

The builders of Thunderbird have made it as smooth as imaginable for extension builders to replace their extensions to cause them to paintings once more.

On the other hand, it’s going to take a very long time for the entire extensions that 1) are up-to-the-minute, and 2) you get to LOVE it, for the obtain.

You might have two elementary choices:

  1. Then upload IgnorePkg = in thunderbirdfor your /and so on/pacman.setup your extension to “essential” replace
  2. Stay in search of updates to their record extension is “essential”, and, most likely, to trouble the developer to make it

Possibility 2 is a extra pro-active.


pip behaves otherwise

pip isnow integrated because the default with the --userflag to any of the transactions.

To revert again to the “standard” habits, you’ll be able to merely edit or take away the/and so on/pip.confto take away the - consumer=sure.


The nature of the asian/CJK are proven as blocks

Set up the noto-fonts-cjk, or different supply of your selection. The issue appears to be associated with an improve of the ttf-droid.

https://insects.archlinux.org/activity/63205


Replace libbloom>=1.6-2 calls for handbook intervention

(Taken from the website online of the client-server fashion, 2019-07-11 via His Aspect. Supply: https://www.archlinux.org/information/libbloom16-2-update-requires-manual-intervention )

The bundle libbloom the former model of the 1.6-2 looked to be lacking the hyperlink to the soname. This has been fastened within the 1.6-2, so the replace will wish to exchange the hyperlink and the soname isn’t tracked is created via ldconfig. For those who obtain an error message

libbloom.: /usr/lib/libbloom.so.1 exists in filesystem

in case you use it

pacman -Suy --overwrite/usr / lib/libbloom.so.1

to accomplish the improve.

Replace tensorflow>=1.14.0-5-requires handbook intervention

Konstantin Gizdov, at the 20th of August 2019

The bundle tensorflow previous to model 1.14.0-5 was once lacking a couple of hyperlinks for the soname. This has been fastened in 1.14.0-5, so the replace will wish to exchange the hyperlinks from the soname isn’t tracked is created via ldconfig. For those who obtain an error message like this one.

tensorflow: /usr/lib/libtensorflow.most effective1 and exists infilesystem
tensorflow: /usr/lib/libtensorflow_cc.most effective1 and exists infilesystem
tensorflow: /usr/lib/libtensorflow_framework.most effective1 and exists infilesystem

in case you use it

pacman -Suy --overwrite=usr/lib/libtensorflow.so.1,usr/lib/libtensorflow_cc.so.1,usr/lib/libtensorflow_framework.so.1

to accomplish the improve.

 

 

 

 

This publish is only a translation of the unique, you’ll be able to to find it right here.